Subject: ARM64: Disabling warnings about deprecated armv8 instructions

From: [email-masked] (Michael Zoran)
Date: Sun, 22 Jan 2017 01:33:50 -0800

On Sun, 2017-01-22 at 09:09 +0000, Ard Biesheuvel wrote:
> On 22 January 2017 at 08:58, Michael Zoran <[email-masked]>
> wrote:
> > On Sun, 2017-01-22 at 09:52 +0100, Alexander Stein wrote:
> > > Hi Michael,
> > > 
> > > On Sunday, January 22, 2017, 12:07:04 AM CET Michael Zoran wrote:
> > > > I'm not sure if this if the correct place to be asking
> > > > this.???The
> > > > RPI
> > > > 3 running ARM64 is slowly reaching the point of being about to
> > > > seriously run a 32 bit vender OS like Raspbian.??When running
> > > > Raspbian,
> > > > I'm seeing a very large number(thousands) of kernel log
> > > > messages
> > > > about
> > > > deprecated instructions especially setend and barrier
> > > > instuctions.
> > > > This can be very annoying and is completely filling the kernel
> > > > log.
> > > > 
> > > > I'm considering submitting a patch to add a Kconfig option to
> > > > disable
> > > > these warnings with the default being to keep the warnings
> > > > enabled.??I
> > > > was wondering if such a patch could be seriously considered.
> > > 
> > > Could you please provide an example of those warning an what is
> > > trigging
> > > those?
> > > 
> > > Thanks and best regards,
> > > Alexander
> > 
> > Sure, here is a snipped from dmesg.??I think this is happening
> > because
> > the entire Raspbian OS is compiled with a custom gcc compiler that
> > is
> > targeting arm6+VFP.
> > 
> > I can double check, but I think the instructions are being emulated
> > in
> > hardware so they are just filling the log and slowing things down.
> > 
> 
> You can disable the emulation by doing
> 
> echo 2 >/proc/sys/abi/setend
> echo 2 >/proc/sys/abi/cp15_barrier

I don't want to disable the emulation since I want to run old binaries.
   I just want to disable the warning...